[Story] Investigate MediaWiki extension documentation
Closed, ResolvedPublic

Hjfocs created this task.May 29 2017, 10:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2017, 10:31 AM

HTML templates that actually are in use on Wikidata:
https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/view/resources/templates.php
We could add our php files in Wikibase repo and use templates.php for compare the names of the HTML classes.

Wikibase is formed by componets (link). We can move "primary sources tool" to Wikibase as a community tool.

Hjfocs moved this task from To do to Doing on the Wikidata-primary-sources board.Jun 5 2017, 11:19 AM
Hjfocs added a comment.Jun 5 2017, 2:06 PM

HTML templates that actually are in use on Wikidata:
https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/view/resources/templates.php
We could add our php files in Wikibase repo and use templates.php for compare the names of the HTML classes.

This seems more related to T166513: linked for reference.

Hjfocs added a comment.Jun 5 2017, 2:07 PM

Wikibase is formed by componets (link). We can move "primary sources tool" to Wikibase as a community tool.

same comment above applies: T166513

Kiailandi added a comment.EditedJul 4 2017, 9:30 AM

Thanks to the documentation and the investigation of existing extensions we identified a few core files we'll need to produce to obtain a working extension:

Kiailandi closed this task as Resolved.Jul 4 2017, 9:38 AM
Kiailandi moved this task from Doing to Done on the Wikidata-primary-sources board.